#
# spec file for package libgtkdatabox
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libver 0_9_1-3

Name:           libgtkdatabox
Version:        0.9.1.3
Release:        21.3
License:        LGPL-2.1+
Summary:        GTK+ widget for fast data display
Url:            http://sourceforge.net/projects/gtkdatabox
Group:          Development/Libraries/C and C++
Source0:        gtkdatabox-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM libgtkdatabox-0.9.1.3-gtk-2.22.patch -- rebased from Fedora gtkdatabox package
Patch0:         libgtkdatabox-0.9.1.3-gtk-2.22.patch
# PATCH-FIX-UPSTREAM libgtkdatabox-0.9.1.3-gdk-deprecated.patch -- rebased from Fedora gtkdatabox package
Patch1:         libgtkdatabox-0.9.1.3-gdk-deprecated.patch
Patch2:         libgtkdatabox-ld_fix.diff
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GtkDatabox is a widget for the Gtk+ library designed to display large
amounts of numerical data fast and easy.

%package devel
Summary:        Development files for GtkDatabox
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
The libgtkdatabox-devel package contains libraries, header files and
documentation for developing applications that use libgtkdatabox.

%package -n %{name}-%{libver}
Summary:        GTK+ widget for fast data display
Group:          Development/Libraries/C and C++
Provides:       %{name} = %{version}
Obsoletes:      %{name}-%{libver} < %{version}

%description -n %{name}-%{libver}
GtkDatabox is a widget for the Gtk+ library designed to display large
amounts of numerical data fast and easy.

%prep
%setup -q -n gtkdatabox-%{version}
%patch0
%patch1
%patch2

%build
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -n %{name}-%{libver} -p /sbin/ldconfig

%postun -n %{name}-%{libver} -p /sbin/ldconfig

%files -n %{name}-%{libver}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/%{name}-*.so.*

%files devel
%defattr(-,root,root)
%doc examples/*.c
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/gtkdatabox.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gtkdatabox/

%changelog
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Thu Sep 22 2011 suse-tux@gmx.de
- added Patch2 (libgtkdatabox-ld_fix.diff) to fix the build for factory
  (link with -lm)
- added gtk-doc BuildRequire (needed for autoreconf call which is required
  by Patch2)
- moved %%%%configure into the %%%%build section
* Fri Sep  2 2011 kirill.kirillov@gmail.com
- cleaned spec using spec-cleaner
* Fri Aug 26 2011 kirill.kirillov@gmail.com
- initial package of version 0.9.1.3
